Uploaded image for project: 'Puppet Server'
  1. Puppet Server
  2. SERVER-615

Bug in pe-puppetserver if CA expire time is set too high.

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: SERVER 2.4.0
    • Component/s: Certificate Authority
    • Labels:
      None
    • Environment:

      CentOS 6.6

    • Template:
    • Sub-team:
    • Story Points:
      1
    • Sprint:
      Server Jade 2016-03-09, Server Jade 2016-03-23

      Description

      pe-puppetserver refuses to sign certificates if the cattl is above 2147483647 seconds. This seems to be due to the schema/Int restriction not allowing variables to be set.

        Attachments

          Activity

            People

            • Assignee:
              john.duarte John Duarte
              Reporter:
              d.cochran Dylan Cochran
              QA Contact:
              Erik Dasher
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support